<?php

namespace App\Filament\Resources\TypeEncadrements;

use App\Filament\Resources\TypeEncadrements\Pages\CreateTypeEncadrement;
use App\Filament\Resources\TypeEncadrements\Pages\EditTypeEncadrement;
use App\Filament\Resources\TypeEncadrements\Pages\ListTypeEncadrements;
use App\Filament\Resources\TypeEncadrements\Schemas\TypeEncadrementForm;
use App\Filament\Resources\TypeEncadrements\Tables\TypeEncadrementsTable;
use App\Models\TypeEncadrement;
use BackedEnum;
use Filament\Resources\Resource;
use Filament\Schemas\Schema;
use Filament\Support\Icons\Heroicon;
use Filament\Tables\Table;

class TypeEncadrementResource extends Resource
{
    protected static ?string $model = TypeEncadrement::class;

    protected static string|BackedEnum|null $navigationIcon = Heroicon::OutlinedRectangleStack;

    public static function form(Schema $schema): Schema
    {
        return TypeEncadrementForm::configure($schema);
    }

    public static function table(Table $table): Table
    {
        return TypeEncadrementsTable::configure($table);
    }

    public static function getRelations(): array
    {
        return [
            //
        ];
    }

    public static function getPages(): array
    {
        return [
            'index' => ListTypeEncadrements::route('/'),
            'create' => CreateTypeEncadrement::route('/create'),
            'edit' => EditTypeEncadrement::route('/{record}/edit'),
        ];
    }
}
